Bug 497708 - "force user" no longer works since 3.2.11-0.30.fc10
"force user" no longer works since 3.2.11-0.30.fc10
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
10
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
https://bugzilla.samba.org/show_bug.c...
:
Depends On:
Blocks: 516996
  Show dependency treegraph
 
Reported: 2009-04-26 08:01 EDT by Rolf Fokkens
Modified: 2009-12-18 04:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:21:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
smb.conf (9.91 KB, text/plain)
2009-04-27 11:10 EDT, Rolf Fokkens
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 6291 None None None Never

  None (edit)
Description Rolf Fokkens 2009-04-26 08:01:45 EDT
Description of problem: "force user" has no effect since upgrading latest samba release. The following is the relevant part of the smb.conf:

[fotos]
   path = /var/fotos/data
   public = yes
   force user = rolf
   force group = users
   write list = monique
   printable = no

Version-Release number of selected component (if applicable): 3.2.11-0.30.fc10

How reproducible: the problem is persistent and reproducable

Steps to Reproduce:
1. Assume the contents in /var/fotos/data is all owned by rolf
2. Let user monique from her windows client create anything, for example a folder

  
Actual results:
On the windows client: "Unable to create the folder "New folder". Access is denied"
With strace on the server EACCESS.

Expected results:
A new folder "New Folder"

Additional info:
Deletion of items still is posible.
The problem may be Fedora specific, see the bug reported to the samba folks:
https://bugzilla.samba.org/show_bug.cgi?id=6291
Comment 1 Guenther Deschner 2009-04-27 09:34:40 EDT
Can you please post your full smb.conf ?
Comment 2 Rolf Fokkens 2009-04-27 11:10:08 EDT
Created attachment 341441 [details]
smb.conf

This is the relevant smb.conf
Comment 3 Guenther Deschner 2009-04-28 07:09:17 EDT
Can you please try the test packages available at 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1326193
?

They fix the issue here.
Comment 4 Rolf Fokkens 2009-04-28 14:02:02 EDT
They fix the issue here as well. Things work as expected again..
Comment 5 Fedora Update System 2009-04-29 06:53:03 EDT
samba-3.2.11-0.31.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/samba-3.2.11-0.31.fc10
Comment 6 Fedora Update System 2009-04-29 06:53:44 EDT
samba-3.2.11-0.29.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/samba-3.2.11-0.29.fc9
Comment 7 Fedora Update System 2009-05-02 12:27:24 EDT
samba-3.2.11-0.29.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update samba'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4101
Comment 8 Fedora Update System 2009-05-02 12:43:08 EDT
samba-3.2.11-0.31.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update samba'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4216
Comment 9 Bug Zapper 2009-11-18 05:00:38 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 04:21:43 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.